DirectoryIterator::getType
DirectoryIterator::isDot
DirectoryIterator
PHP Manual

# DirectoryIterator::isDir

(PHP 5)

DirectoryIterator::isDir — Determine if current DirectoryIterator item is a directory

### Description

public bool DirectoryIterator::isDir ( void )

Determines if the current DirectoryIterator item is a directory.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if it is a directory, otherwise `FALSE`

### Examples

Example #1 DirectoryIterator::isDir() example

This example lists the directories within the directory of the current script.

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
if ($fileinfo->isDir()) {
echo $fileinfo->getFilename() . "\n";
}
}
?>`

The above example will output something similar to:

    .
    ..
    apples
    bananas
    pears

### See Also

- DirectoryIterator::getType() - Determine the type of the current DirectoryIterator item
- DirectoryIterator::isDot() - Determine if current DirectoryIterator item is '.' or '..'
- DirectoryIterator::isFile() - Determine if current DirectoryIterator item is a regular file
- DirectoryIterator::isLink() - Determine if current DirectoryIterator item is a symbolic link

DirectoryIterator::getType
DirectoryIterator::isDot
DirectoryIterator
PHP Manual